package fel.kte.pkropik.it;

public class Savec extends Zvire {
    private int dobaBrezosti = 0;   // ve dnech

    public Savec() {
        // jen inicializace
    }

    /**
     *
     * @param vyska
     * @param jmeno
     * @param dobaBrezosti
     * @throws ZapornaHodnotaVyjimka
     */
    public Savec(int vyska, String jmeno, int dobaBrezosti) throws ZapornaHodnotaVyjimka {
        super(vyska, jmeno);
        setDobaBrezosti(dobaBrezosti);
    }

    public int getDobaBrezosti() {
        return dobaBrezosti;
    }

    public final void setDobaBrezosti(int dobaBrezosti) throws ZapornaHodnotaVyjimka {
        if (dobaBrezosti < 0) {
            throw new ZapornaHodnotaVyjimka("Pokus o nastavení hodnoty: " + dobaBrezosti);
        }
        else {
            this.dobaBrezosti = dobaBrezosti;
        }
    }

    @Override
    public String toString() {
        return super.toString() + String.format(", doba březosti: %d", getDobaBrezosti());
    }
}
